Bug 1023432 - broker auth was not generated for non-scalable apps after migartion on INT
broker auth was not generated for non-scalable apps after migartion on INT
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Adam Miller
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 07:59 EDT by Meng Bo
Modified: 2015-05-14 19:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:26:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2013-10-25 07:59:58 EDT
Description of problem:
Check the broker auth on INT after server upgrade and migrated. All the auth were not generated for non-scalable gears.

Version-Release number of selected component (if applicable):
INT (devenv_3942)

How reproducible:
always

Steps to Reproduce:
1.Create apps on INT
2.Server upgrade and migrate
3.Check apps for broker auth

Actual results:
Broker auth was not generated for non-scalable apps.
[swydapp-bmengmint.int.rhcloud.com 5264c95b6cec0e4ccb000351]\> ls -a|grep auth
[swydapp-bmengmint.int.rhcloud.com 5264c95b6cec0e4ccb000351]\> 


Expected results:
All the existing apps should have broker_auth after migration

Additional info:
The issue cannot be reproduced when upgrade from devenv-stage_528 to devenv_3944.
Comment 1 Dan McPherson 2013-10-28 17:52:19 EDT
The issue here is the value of 

AUTH_PUB_KEY_FILE="/var/www/openshift/broker/config/keys/public.pem"

is set to:

AUTH_PUB_KEY_FILE="config/keys/public.pem"


in INT.
Comment 2 Adam Miller 2013-10-28 18:56:16 EDT
Done. This is currently deployed to INT.

ops puppet repo git commit 19d5838f7a5ea888d93c57fa1b78213e63b24119

Also Release Ticket 2.0.35 comment #9
Comment 3 Meng Bo 2013-10-28 22:31:43 EDT
Checked on current INT (devenv_3957),

The .auth directory exists for existing non-scalable apps.

Move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.